
public abstract class Account {

	protected double balance;
	protected String type;
	
	public Account(double balance, String type) {
		this.balance = balance;
		this.type = type;
	}
	
	public double getBalance() {
		return balance;
	}
	
	public String getType() {
		return type;
	}
	
	public abstract void withdraw(double amnt);
	
	public abstract void deposit(double amnt);
	
	public String toString() {
		return type + " $" + balance;
	}
	
}
